Get Artist Metadata from Providers (Advanced)
POST
/api/metadata/search/artists
const url = 'https://example.com/api/metadata/search/artists';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"artists":[{"name":"example","metadata":[{"name":"musicbrainz","id":"example","idType":"recording"}]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/metadata/search/artists \ --header 'Content-Type: application/json' \ --data '{ "artists": [ { "name": "example", "metadata": [ { "name": "musicbrainz", "id": "example", "idType": "recording" } ] } ] }'Gets artist results from all metadata providers using Credits with metadata. Send the header Accept: application/x-ndjson to get results as newline-delimited JSON, one line per provider as soon as it finishes: {"type":"result","service":"...","data":[...]} or {"type":"error","service":"...","error":{...}}, followed by a final {"type":"done"} line.
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Success